using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace InputPanel_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif
        }

        private void txtTest_GotFocus(object sender, EventArgs e)
        {
            // Когда пользователь выбирает текстовое поле,
            // то автоматически активируем SIP
            inputPanel1.Enabled = true;
        }

        private void txtTest_LostFocus(object sender, EventArgs e)
        {
            // При потере фокуса сворачиваем SIP
            inputPanel1.Enabled = false;
        }

        private void inputPanel1_EnabledChanged(object sender, EventArgs e)
        {
            // Отслеживаем состояние панели ввода
            // Свойство Bounds возвращает размеры и позицию SIP          
            if (inputPanel1.Enabled == true)
                this.txtJump.Top = 200 - inputPanel1.Bounds.Height;
            else
                this.txtJump.Top = 200;
        }

        private void txtJump_GotFocus(object sender, EventArgs e)
        {
            inputPanel1.Enabled = true;
        }

        private void txtJump_LostFocus(object sender, EventArgs e)
        {
            inputPanel1.Enabled = false;
        }
    }
}